<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormDocument documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormDocument">GormDocument documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
      <hr width="50%" align="left" />
      <h3>Contents -</h3>
      <ol>
        <li>
          <a href="#001000000000">Software documentation for the GormDocument class</a>
        </li>
        <li>
          <a href="#002000000000">Software documentation for the GormEditorToParent
        class</a>
        </li>
        <li>
          <a href="#003000000000">Software documentation for the GormFirstResponder
        class</a>
        </li>
        <li>
          <a href="#004000000000">Software documentation for the GormObjectToEditor
        class</a>
        </li>
        <li>
          <a href="#005000000000">Software documentation for the
        GormDocument(MenuValidation)
        category</a>
        </li>
      </ol>
      <hr width="50%" align="left" />
    </div>

          <h1><a name="001000000000">
        Software documentation for the GormDocument class
      </a></h1>
    <h2><a name="class$GormDocument">GormDocument</a> : NSDocument</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormDocument.h</dd>
      </dl>
    </blockquote>
    <blockquote>
      <dl>
        <dt><b>Conforms to:</b></dt>
        <dd>IBDocuments</dd>
        <dd>GSNibContainer</dd>
        <dd>NSCoding</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormDocument_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument(MenuValidation)-isEditingClasses">-isEditingClasses</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument(MenuValidation)-isEditingImages">-isEditingImages</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument(MenuValidation)-isEditingObjects">-isEditingObjects</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument(MenuValidation)-isEditingSounds">-isEditingSounds</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-addAttributeToClass$">-addAttributeToClass:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-addConnector$">-addConnector:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-alignSelectedObjects$">-alignSelectedObjects:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-allManagedPboardTypes">-allManagedPboardTypes</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-arrangeSelectedObjects$">-arrangeSelectedObjects:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-changeToTopLevelEditorAcceptingTypes$andFileType$">-changeToTopLevelEditorAcceptingTypes:andFileType:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-changeToViewWithTag$">-changeToViewWithTag:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-classIsSelected">-classIsSelected</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-classManager">-classManager</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-closeAllEditors">-closeAllEditors</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-createClassFiles$">-createClassFiles:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-createResourceManagers">-createResourceManagers</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-createSubclass$">-createSubclass:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-deactivateEditors">-deactivateEditors</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-deferredWindows">-deferredWindows</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-exportStrings$">-exportStrings:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-filePrefsManager">-filePrefsManager</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-filesOwner">-filesOwner</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-firstResponder">-firstResponder</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-fontManager">-fontManager</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-handleNotification$">-handleNotification:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-images">-images</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-infoData">-infoData</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-instantiateClass$">-instantiateClass:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-isActive">-isActive</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-isDocumentOpen">-isDocumentOpen</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-isOlderArchive">-isOlderArchive</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-isTopLevelObject$">-isTopLevelObject:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-loadClass$">-loadClass:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-nameForObject$">-nameForObject:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-objectForName$">-objectForName:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-objectIsDeferred$">-objectIsDeferred:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-objectIsVisibleAtLaunch$">-objectIsVisibleAtLaunch:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-objects">-objects</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-openImage$">-openImage:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-openSound$">-openSound:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-reactivateEditors">-reactivateEditors</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-rebuildObjToNameMapping">-rebuildObjToNameMapping</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-recentDocumentsMenu">-recentDocumentsMenu</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-refreshConnectionsForClassNamed$">-refreshConnectionsForClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-remove$">-remove:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-removeAllInstancesOfClass$">-removeAllInstancesOfClass:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-removeConnectionsForClassNamed$">-removeConnectionsForClassNamed:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-removeConnectionsWithLabel$forClassNamed$isAction$">-removeConnectionsWithLabel:forClassNamed:isAction:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-renameConnectionsForClassNamed$toName$">-renameConnectionsForClassNamed:toName:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-resourceManagerForPasteboard$">-resourceManagerForPasteboard:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-resourceManagers">-resourceManagers</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-retrieveObjectsForParent$recursively$">-retrieveObjectsForParent:recursively:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-scmWrapper">-scmWrapper</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-selectClass$">-selectClass:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-selectClass$editClass$">-selectClass:editClass:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-servicesMenu">-servicesMenu</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setDocumentActive$">-setDocumentActive:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setDocumentOpen$">-setDocumentOpen:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setImages$">-setImages:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setInfoData$">-setInfoData:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setObject$isDeferred$">-setObject:isDeferred:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setObject$isVisibleAtLaunch$">-setObject:isVisibleAtLaunch:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setOlderArchive$">-setOlderArchive:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setRecentDocumentsMenu$">-setRecentDocumentsMenu:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setSCMWrapper$">-setSCMWrapper:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setServicesMenu$">-setServicesMenu:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setSounds$">-setSounds:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-setWindowsMenu$">-setWindowsMenu:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-sounds">-sounds</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-translate$">-translate:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-viewWithTag$">-viewWithTag:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-visibleWindows">-visibleWindows</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-window">-window</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-windowAndRect$forObject$">-windowAndRect:forObject:</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument-windowsMenu">-windowsMenu</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormDocument-addAttributeToClass$">addAttributeToClass:&nbsp;</a></h3>
    - (id) <b>addAttributeToClass:</b> (id)sender;<br />
    <div class="desc">
      
            Add an outlet/action to the classes view.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-addConnector$">addConnector:&nbsp;</a></h3>
    - (void) <b>addConnector:</b> (id<IBConnectors>)aConnector;<br />
    <div class="desc">
      
            Add <var>aConnector</var> to the set of connectors in
            this document.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-alignSelectedObjects$">alignSelectedObjects:&nbsp;</a></h3>
    - (void) <b>alignSelectedObjects:</b> (id)sender;<br />
    <div class="desc">
      
            Aligns selected objects on a given axis. <br />
            Align objects to center, left, right, top, bottom.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-allManagedPboardTypes">allManagedPboardTypes&nbsp;</a></h3>
    - (NSArray*) <b>allManagedPboardTypes</b>;<br />
    <div class="desc">
      
            Returns all pasteboard types registered for with
            the IBResourceManager. <br /> Get all pasteboard types
            managed by the resource manager.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-arrangeSelectedObjects$">arrangeSelectedObjects:&nbsp;</a></h3>
    - (void) <b>arrangeSelectedObjects:</b> (id)sender;<br />
    <div class="desc">
      
            Arrages selected objects based on the either in
            front of or in back of the view stack. <br /> Arrange
            views in front or in back of one another.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-changeToTopLevelEditorAcceptingTypes$andFileType$">changeToTopLevelEditorAcceptingTypes:&nbsp;andFileType:&nbsp;</a></h3>
    - (void) <b>changeToTopLevelEditorAcceptingTypes:</b> (NSArray*)types<b> andFileType:</b> (NSString*)fileType;<br />
    <div class="desc">
      
            Switch to the top level editor responsible for a
            given type. This allows the document in the view to
            switch to the view which is appropriate for the
            resource being dragged in.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-changeToViewWithTag$">changeToViewWithTag:&nbsp;</a></h3>
    - (void) <b>changeToViewWithTag:</b> (int)tag;<br />
    <div class="desc">
      
            Switches to the view using the specified
            <var>tag</var>. They are 0=objects, 1=images,
            2=sounds, 3=classes, 4=file prefs.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-classIsSelected">classIsSelected&nbsp;</a></h3>
    - (BOOL) <b>classIsSelected</b>;<br />
    <div class="desc">
      
            Returns <code>YES</code>, if the current select on
            the classes view is a class.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-classManager">classManager&nbsp;</a></h3>
    - (<a rel="gsdoc" href="GormClassManager.html#class$GormClassManager">GormClassManager</a>*) <b>classManager</b>;<br />
    <div class="desc">
      
            The class manager.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-closeAllEditors">closeAllEditors&nbsp;</a></h3>
    - (void) <b>closeAllEditors</b>;<br />
    <div class="desc">
      
            Forces the closing of all editors in the document.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-createClassFiles$">createClassFiles:&nbsp;</a></h3>
    - (id) <b>createClassFiles:</b> (id)sender;<br />
    <div class="desc">
      
            Create the class files for the selected class.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-createResourceManagers">createResourceManagers&nbsp;</a></h3>
    - (void) <b>createResourceManagers</b>;<br />
    <div class="desc">
      
            Create resource manager instances for all registered
            classes.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-createSubclass$">createSubclass:&nbsp;</a></h3>
    - (id) <b>createSubclass:</b> (id)sender;<br />
    <div class="desc">
      
            Create a subclass of the currently selected class in
            the classes view.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-deactivateEditors">deactivateEditors&nbsp;</a></h3>
    - (void) <b>deactivateEditors</b>;<br />
    <div class="desc">
      
            Deactivate the editors for archiving..
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-deferredWindows">deferredWindows&nbsp;</a></h3>
    - (NSSet*) <b>deferredWindows</b>;<br />
    <div class="desc">
      
            Windows deferred. <br /> All windows marked,
            deferred.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-exportStrings$">exportStrings:&nbsp;</a></h3>
    - (void) <b>exportStrings:</b> (id)sender;<br />
    <div class="desc">
      
            This method is used to export all strings in a
            document to a file for Language translation. This
            allows the user to see all of the strings which can
            be translated and allows the user to provide a
            translateion for each of them.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-filePrefsManager">filePrefsManager&nbsp;</a></h3>
    - (<a rel="gsdoc" href="GormFilePrefsManager.html#class$GormFilePrefsManager">GormFilePrefsManager</a>*) <b>filePrefsManager</b>;<br />
    <div class="desc">
      
            File preferences. <br /> Gorm file prefs manager.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-filesOwner">filesOwner&nbsp;</a></h3>
    - (<a rel="gsdoc" href="GormFilesOwner.html#class$GormFilesOwner">GormFilesOwner</a>*) <b>filesOwner</b>;<br />
    <div class="desc">
      
            File&apos;s Owner <br /> File&apos;s owner...
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-firstResponder">firstResponder&nbsp;</a></h3>
    - (id) <b>firstResponder</b>;<br />
    <div class="desc">
      
            Returns stand-in object for firstResponder <br />
            Return first responder stand in.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-fontManager">fontManager&nbsp;</a></h3>
    - (id) <b>fontManager</b>;<br />
    <div class="desc">
      
            Returns stand-in object for fontManager. <br />
            Return font manager stand in.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-handleNotification$">handleNotification:&nbsp;</a></h3>
    - (void) <b>handleNotification:</b> (NSNotification*)aNotification;<br />
    <div class="desc">
      
            Handle all notifications. Checks the value of [
            <var>aNotification</var> name] against the set of
            notifications this class responds to and
            takes appropriate action.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-images">images&nbsp;</a></h3>
    - (NSArray*) <b>images</b>;<br />
    <div class="desc">
      
            Images
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-infoData">infoData&nbsp;</a></h3>
    - (NSData*) <b>infoData</b>;<br />
    <div class="desc">
      
            return the file info.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-instantiateClass$">instantiateClass:&nbsp;</a></h3>
    - (id) <b>instantiateClass:</b> (id)sender;<br />
    <div class="desc">
      
            Create an instance of a given class.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-isActive">isActive&nbsp;</a></h3>
    - (BOOL) <b>isActive</b>;<br />
    <div class="desc">
      
            Returns <code>YES</code>, if document is active.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-isDocumentOpen">isDocumentOpen&nbsp;</a></h3>
    - (BOOL) <b>isDocumentOpen</b>;<br />
    <div class="desc">
      
            Return the document open flag.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-isOlderArchive">isOlderArchive&nbsp;</a></h3>
    - (BOOL) <b>isOlderArchive</b>;<br />
    <div class="desc">
      
            Return <code>YES</code> if this is an older archive.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-isTopLevelObject$">isTopLevelObject:&nbsp;</a></h3>
    - (BOOL) <b>isTopLevelObject:</b> (id)obj;<br />
    <div class="desc">
      
            Returns <code>YES</code>, if <var>obj</var> is a
            top level object.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-loadClass$">loadClass:&nbsp;</a></h3>
    - (id) <b>loadClass:</b> (id)sender;<br />
    <div class="desc">
      
            Load a class into the document. <br /> Parse a header
            into the classes view.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-nameForObject$">nameForObject:&nbsp;</a></h3>
    - (NSString*) <b>nameForObject:</b> (id)anObject;<br />
    <div class="desc">
      
            Returns the name for the object... <br /> Returns
            the name for <var>anObject</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-objectForName$">objectForName:&nbsp;</a></h3>
    - (id) <b>objectForName:</b> (NSString*)name;<br />
    <div class="desc">
      
            Returns the object for <var>name</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-objectIsDeferred$">objectIsDeferred:&nbsp;</a></h3>
    - (BOOL) <b>objectIsDeferred:</b> (id)anObject;<br />
    <div class="desc">
      
            Return <code>YES</code>, if <var>anObject</var> is
            deferred. <br /> Return <code>YES</code>, if the
            <var>anObject</var> is in the deferred list.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-objectIsVisibleAtLaunch$">objectIsVisibleAtLaunch:&nbsp;</a></h3>
    - (BOOL) <b>objectIsVisibleAtLaunch:</b> (id)anObject;<br />
    <div class="desc">
      
            Return <code>YES</code>, if <var>anObject</var> is
            visible at launch time.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-objects">objects&nbsp;</a></h3>
    - (NSArray*) <b>objects</b>;<br />
    <div class="desc">
      
            Returns all names for all objects known to Gorm.
            <br /> Returns all objects in the document.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-openImage$">openImage:&nbsp;</a></h3>
    - (id) <b>openImage:</b> (id)sender;<br />
    <div class="desc">
      
            Open an image and copy it into the document.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-openSound$">openSound:&nbsp;</a></h3>
    - (id) <b>openSound:</b> (id)sender;<br />
    <div class="desc">
      
            Open a sound and load it into the document.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-reactivateEditors">reactivateEditors&nbsp;</a></h3>
    - (void) <b>reactivateEditors</b>;<br />
    <div class="desc">
      
            Reactivate all of the editors...
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-rebuildObjToNameMapping">rebuildObjToNameMapping&nbsp;</a></h3>
    - (void) <b>rebuildObjToNameMapping</b>;<br />
    <div class="desc">
      
            Build our reverse mapping information and other
            initialisation
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-recentDocumentsMenu">recentDocumentsMenu&nbsp;</a></h3>
    - (NSMenu*) <b>recentDocumentsMenu</b>;<br />
    <div class="desc">
      
            Returns the menu which will be the recent documents
            menu for the document. <br /> Return the object that
            will be the receent documents menu.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-refreshConnectionsForClassNamed$">refreshConnectionsForClassNamed:&nbsp;</a></h3>
    - (void) <b>refreshConnectionsForClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            Refresh all connections to any and all instances of
            <var>className</var>. Checks if the class has the
            action/outlet present and deletes it, if it
            doesn&apos;t.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-remove$">remove:&nbsp;</a></h3>
    - (id) <b>remove:</b> (id)sender;<br />
    <div class="desc">
      
            Remove a class from the classes view
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-removeAllInstancesOfClass$">removeAllInstancesOfClass:&nbsp;</a></h3>
    - (void) <b>removeAllInstancesOfClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            Remove all instances of a given class.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-removeConnectionsForClassNamed$">removeConnectionsForClassNamed:&nbsp;</a></h3>
    - (BOOL) <b>removeConnectionsForClassNamed:</b> (NSString*)className;<br />
    <div class="desc">
      
            Remove all connections to any and all instances of
            <var>className</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-removeConnectionsWithLabel$forClassNamed$isAction$">removeConnectionsWithLabel:&nbsp;forClassNamed:&nbsp;isAction:&nbsp;</a></h3>
    - (BOOL) <b>removeConnectionsWithLabel:</b> (NSString*)name<b> forClassNamed:</b> (NSString*)className<b> isAction:</b> (BOOL)action;<br />
    <div class="desc">
      
            Removes all connections given <var>action</var> or
            outlet with the specified label (paramter
            <var>name</var>) class <var>name</var> (parameter
            <var>className</var>).
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-renameConnectionsForClassNamed$toName$">renameConnectionsForClassNamed:&nbsp;toName:&nbsp;</a></h3>
    - (BOOL) <b>renameConnectionsForClassNamed:</b> (NSString*)className<b> toName:</b> (NSString*)newName;<br />
    <div class="desc">
      
            Rename connections connected to an instance of on
            class to another.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-resourceManagerForPasteboard$">resourceManagerForPasteboard:&nbsp;</a></h3>
    - (IBResourceManager*) <b>resourceManagerForPasteboard:</b> (NSPasteboard*)pboard;<br />
    <div class="desc">
      
            Get the resource manager which handles the content on
            <var>pboard</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-resourceManagers">resourceManagers&nbsp;</a></h3>
    - (NSArray*) <b>resourceManagers</b>;<br />
    <div class="desc">
      
            The list of all resource managers.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-retrieveObjectsForParent$recursively$">retrieveObjectsForParent:&nbsp;recursively:&nbsp;</a></h3>
    - (NSArray*) <b>retrieveObjectsForParent:</b> (id)parent<b> recursively:</b> (BOOL)flag;<br />
    <div class="desc">
      
            Retrieve all objects which have <var>parent</var>
            as thier <var>parent</var>. If <var>flag</var> is
            <code>YES</code>, then retrieve the entire graph of
            objects starting with the <var>parent</var>. <br />
            Pull all of the objects which are under a given
            <var>parent</var>. Returns an autoreleased array.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-scmWrapper">scmWrapper&nbsp;</a></h3>
    - (NSFileWrapper*) <b>scmWrapper</b>;<br />
    <div class="desc">
      
            Save the SCM directory.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-selectClass$">selectClass:&nbsp;</a></h3>
    - (void) <b>selectClass:</b> (NSString*)className;<br />
    <div class="desc">
      
            Select a class in the classes view
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-selectClass$editClass$">selectClass:&nbsp;editClass:&nbsp;</a></h3>
    - (void) <b>selectClass:</b> (NSString*)className<b> editClass:</b> (BOOL)flag;<br />
    <div class="desc">
      
            Select a class in the classes view
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-servicesMenu">servicesMenu&nbsp;</a></h3>
    - (NSMenu*) <b>servicesMenu</b>;<br />
    <div class="desc">
      
            Returns the services menu for the document. <br />
            Return the object that will be the services menu.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setDocumentActive$">setDocumentActive:&nbsp;</a></h3>
    - (void) <b>setDocumentActive:</b> (BOOL)flag;<br />
    <div class="desc">
      
            Marks this document as the currently active document.
            The active document is the one being edited by the
            user.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setDocumentOpen$">setDocumentOpen:&nbsp;</a></h3>
    - (void) <b>setDocumentOpen:</b> (BOOL)flag;<br />
    <div class="desc">
      
            Set the document open <var>flag</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setImages$">setImages:&nbsp;</a></h3>
    - (void) <b>setImages:</b> (NSArray*)imgs;<br />
    <div class="desc">
      
            Images
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setInfoData$">setInfoData:&nbsp;</a></h3>
    - (void) <b>setInfoData:</b> (NSData*)data;<br />
    <div class="desc">
      
            Set the file info for this document.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setObject$isDeferred$">setObject:&nbsp;isDeferred:&nbsp;</a></h3>
    - (void) <b>setObject:</b> (id)anObject<b> isDeferred:</b> (BOOL)flag;<br />
    <div class="desc">
      
            Add object to the defferred list. <br /> Add
            <var>anObject</var> to the deferred list.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setObject$isVisibleAtLaunch$">setObject:&nbsp;isVisibleAtLaunch:&nbsp;</a></h3>
    - (void) <b>setObject:</b> (id)anObject<b> isVisibleAtLaunch:</b> (BOOL)flag;<br />
    <div class="desc">
      
            Add object to the visible at launch list.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setOlderArchive$">setOlderArchive:&nbsp;</a></h3>
    - (void) <b>setOlderArchive:</b> (BOOL)flag;<br />
    <div class="desc">
      
            Set the &quot;older archive&quot; <var>flag</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setRecentDocumentsMenu$">setRecentDocumentsMenu:&nbsp;</a></h3>
    - (void) <b>setRecentDocumentsMenu:</b> (NSMenu*)anObject;<br />
    <div class="desc">
      
            Sets the recent documents menu. <br /> Set the menu
            that will be the recent documents menu in the app.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setSCMWrapper$">setSCMWrapper:&nbsp;</a></h3>
    - (void) <b>setSCMWrapper:</b> (NSFileWrapper*)wrapper;<br />
    <div class="desc">
      
            Save the SCM directory.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setServicesMenu$">setServicesMenu:&nbsp;</a></h3>
    - (void) <b>setServicesMenu:</b> (NSMenu*)anObject;<br />
    <div class="desc">
      
            Set the services menu. <br /> Set the object that will
            be the services menu in the app.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setSounds$">setSounds:&nbsp;</a></h3>
    - (void) <b>setSounds:</b> (NSArray*)snds;<br />
    <div class="desc">
      
            Sounds
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-setWindowsMenu$">setWindowsMenu:&nbsp;</a></h3>
    - (void) <b>setWindowsMenu:</b> (NSMenu*)anObject;<br />
    <div class="desc">
      
            Sets the windows menu. <br /> Set the windows menu.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-sounds">sounds&nbsp;</a></h3>
    - (NSArray*) <b>sounds</b>;<br />
    <div class="desc">
      
            Sounds
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-translate$">translate:&nbsp;</a></h3>
    - (void) <b>translate:</b> (id)sender;<br />
    <div class="desc">
      
            This method is used to translate all of the strings in
            the file from one language into another. This is
            helpful when attempting to translate an application
            for use in different locales.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-viewWithTag$">viewWithTag:&nbsp;</a></h3>
    - (NSView*) <b>viewWithTag:</b> (int)tag;<br />
    <div class="desc">
      
            returns the view using the specified <var>tag</var>
            . They are 0=objects, 1=images, 2=sounds, 3=classes,
            4=file prefs.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-visibleWindows">visibleWindows&nbsp;</a></h3>
    - (NSSet*) <b>visibleWindows</b>;<br />
    <div class="desc">
      
            Windows visible at launch... <br /> All windows
            marked, visible at launch.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-window">window&nbsp;</a></h3>
    - (NSWindow*) <b>window</b>;<br />
    <div class="desc">
      
            The document window.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-windowAndRect$forObject$">windowAndRect:&nbsp;forObject:&nbsp;</a></h3>
    - (NSWindow*) <b>windowAndRect:</b> (NSRect*)r<b> forObject:</b> (id)object;<br />
    <div class="desc">
      
            WindowAndRect:forObject: is called
            by Gorm to determine where it should draw selection
            markup <br /> Returns the window and the rect
            <var>r</var> for <var>object</var>.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument-windowsMenu">windowsMenu&nbsp;</a></h3>
    - (NSMenu*) <b>windowsMenu</b>;<br />
    <div class="desc">
      
            Returns the menu which will be the windows menu for
            the document. <br /> return the windows menu.
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormDocument_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormDocument Class</h2>
    <h3><a name="ivariable$GormDocument*classManager">classManager</a></h3>
    @protected GormClassManager* <b>classManager</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*classesScrollView">classesScrollView</a></h3>
    @protected NSScrollView* <b>classesScrollView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*classesView">classesView</a></h3>
    @protected id <b>classesView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*connections">connections</a></h3>
    @protected NSMutableArray* <b>connections</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*deferredWindows">deferredWindows</a></h3>
    @protected NSMutableSet* <b>deferredWindows</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*filePrefsManager">filePrefsManager</a></h3>
    @protected GormFilePrefsManager* <b>filePrefsManager</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*filePrefsView">filePrefsView</a></h3>
    @protected id <b>filePrefsView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*filePrefsWindow">filePrefsWindow</a></h3>
    @protected NSWindow* <b>filePrefsWindow</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*filesOwner">filesOwner</a></h3>
    @protected GormFilesOwner* <b>filesOwner</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*firstResponder">firstResponder</a></h3>
    @protected GormFirstResponder* <b>firstResponder</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*fontManager">fontManager</a></h3>
    @protected GormObjectProxy* <b>fontManager</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*hidden">hidden</a></h3>
    @protected NSMutableArray* <b>hidden</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*images">images</a></h3>
    @protected NSMutableArray* <b>images</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*imagesScrollView">imagesScrollView</a></h3>
    @protected NSScrollView* <b>imagesScrollView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*imagesView">imagesView</a></h3>
    @protected id <b>imagesView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*infoData">infoData</a></h3>
    @protected NSData* <b>infoData</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*isActive">isActive</a></h3>
    @protected BOOL <b>isActive</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*isDocumentOpen">isDocumentOpen</a></h3>
    @protected BOOL <b>isDocumentOpen</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*isOlderArchive">isOlderArchive</a></h3>
    @protected BOOL <b>isOlderArchive</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*lastEditor">lastEditor</a></h3>
    @protected id <b>lastEditor</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*nameTable">nameTable</a></h3>
    @protected NSMutableDictionary* <b>nameTable</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*objToName">objToName</a></h3>
    @protected NSMapTable* <b>objToName</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*objectsView">objectsView</a></h3>
    @protected id <b>objectsView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*openEditors">openEditors</a></h3>
    @protected NSMutableArray* <b>openEditors</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*quitItem">quitItem</a></h3>
    @protected NSMenuItem* <b>quitItem</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*resourceManagers">resourceManagers</a></h3>
    @protected NSMutableArray* <b>resourceManagers</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*savedEditors">savedEditors</a></h3>
    @protected NSMutableArray* <b>savedEditors</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*savedMenu">savedMenu</a></h3>
    @protected NSMenu* <b>savedMenu</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*scmWrapper">scmWrapper</a></h3>
    @protected NSFileWrapper* <b>scmWrapper</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*scrollView">scrollView</a></h3>
    @protected NSScrollView* <b>scrollView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*selectionBox">selectionBox</a></h3>
    @protected NSBox* <b>selectionBox</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*sounds">sounds</a></h3>
    @protected NSMutableArray* <b>sounds</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*soundsScrollView">soundsScrollView</a></h3>
    @protected NSScrollView* <b>soundsScrollView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*soundsView">soundsView</a></h3>
    @protected id <b>soundsView</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*toolbar">toolbar</a></h3>
    @protected NSToolbar* <b>toolbar</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*topLevelObjects">topLevelObjects</a></h3>
    @protected NSMutableSet* <b>topLevelObjects</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*visibleWindows">visibleWindows</a></h3>
    @protected NSMutableSet* <b>visibleWindows</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormDocument*window">window</a></h3>
    @protected GormDocumentWindow* <b>window</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>

          <h1><a name="002000000000">
        Software documentation for the GormEditorToParent
        class
      </a></h1>
    <h2><a name="class$GormEditorToParent">GormEditorToParent</a> : NSNibConnector</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormDocument.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>

          <h1><a name="003000000000">
        Software documentation for the GormFirstResponder
        class
      </a></h1>
    <h2><a name="class$GormFirstResponder">GormFirstResponder</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormDocument.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>

          <h1><a name="004000000000">
        Software documentation for the GormObjectToEditor
        class
      </a></h1>
    <h2><a name="class$GormObjectToEditor">GormObjectToEditor</a> : NSNibConnector</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormDocument.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>

          <h1><a name="005000000000">
        Software documentation for the
        GormDocument(MenuValidation)
        category
      </a></h1>
    <h2><a rel="gsdoc" href="#class$GormDocument">GormDocument</a>(<a name="category$GormDocument(MenuValidation)">MenuValidation</a>)</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormDocument.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument(MenuValidation)-isEditingClasses">-isEditingClasses</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument(MenuValidation)-isEditingImages">-isEditingImages</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument(MenuValidation)-isEditingObjects">-isEditingObjects</a></li>
      <li><a rel="gsdoc" href="GormDocument.html#method$GormDocument(MenuValidation)-isEditingSounds">-isEditingSounds</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormDocument(MenuValidation)-isEditingClasses">isEditingClasses&nbsp;</a></h3>
    - (BOOL) <b>isEditingClasses</b>;<br />
    <div class="desc">
      
            Returns <code>YES</code> if the document is editing
            classes.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument(MenuValidation)-isEditingImages">isEditingImages&nbsp;</a></h3>
    - (BOOL) <b>isEditingImages</b>;<br />
    <div class="desc">
      
            Returns <code>YES</code> if the document is editing
            images.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument(MenuValidation)-isEditingObjects">isEditingObjects&nbsp;</a></h3>
    - (BOOL) <b>isEditingObjects</b>;<br />
    <div class="desc">
      
            Returns <code>YES</code> if the document is editing
            instance/objects.
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormDocument(MenuValidation)-isEditingSounds">isEditingSounds&nbsp;</a></h3>
    - (BOOL) <b>isEditingSounds</b>;<br />
    <div class="desc">
      
            Returns <code>YES</code> if the document is editing
            sounds.
          
    </div>
    <hr width="25%" align="left" />
</div>
    <br />
    </font>
</body>
</html>
